Subject: [xrblock] Fw: [rtcweb] FW: I-DAction:draft-alvestrand-rtcweb-stats-registry-00.txt

From: Qin Wu <[email-masked]>
Date: Sat, 29 Sep 2012 11:49:58 +0800

FYI.
----- Original Message ----- 
From: "Qin Wu" <[email-masked]>
To: "Schwarz, Albrecht (Albrecht)" <[email-masked]>; "Harald Alvestrand" <[email-masked]>; <[email-masked]>
Sent: Saturday, September 29, 2012 11:46 AM
Subject: Re: [rtcweb] [xrblock] FW: I-DAction:draft-alvestrand-rtcweb-stats-registry-00.txt

> Hi,
> ----- Original Message ----- 
> From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
> To: "Harald Alvestrand" <[email-masked]>; <[email-masked]>
> Sent: Saturday, September 29, 2012 7:51 AM
> Subject: Re: [rtcweb] [xrblock] FW: I-DAction:draft-alvestrand-rtcweb-stats-registry-00.txt
> 
> 
>> Harald,
>> 
>> just to double check:
>> 
>>> (For reference, the WebRTC codebase seems to decode block type 7 and no 
>> other block type....)
>> 
>> BT=7 would be the "VoIP Metrics Report Block" (RFC 3611).
> 
[Qin]: If you look for metrics only for audio stream, you may look at BT =7,
However if you look for metrics not only for audio stream but also for video stream,
you may look at burst gap loss metrics, burst gap discard metrics, Delay metrics,
QoS metrics, Jitter Buffer metrics developed in XRBLOCK WG which are 
decomposed from VOIP metrics Report block but more generic metrics that can be 
applied to both audio and video stream.

>> Whereas BT=6 would be the "Statistics Summary Report Block", related also to some improved SR/BR metric.
>> 
>> Regards,
>> Albrecht
>> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of Harald Alvestrand
>> Sent: Freitag, 28. September 2012 13:32
>> To: [email-masked]
>> Subject: Re: [rtcweb] [xrblock] FW: I-DAction:draft-alvestrand-rtcweb-stats-registry-00.txt
>> 
>> On 09/27/2012 01:20 AM, Schwarz, Albrecht (Albrecht) wrote:
>>>> I am happy to see my comments being forwarded to [email-masked] if
>>> they
>>>> are interested and want to more input from XRBLOCK WG. However I am
>>> not
>>>> sure how much of their work is related to XRBLOCK work? Do they only
>>>> look for some basic metrics obtained from SR/RR. But I agree with you
>>>> consistency between the metrics used by RTCP XR and RTCWEB is a good
>>>> thing.
>>> The work on "rtcweb-stats" is related to XRBLOCK in my opinon.
>>> At least the "basic metrics from SR/RR" with respect to packet loss are controversial and could be misleading, and should be replaced by correspondent XR performance metric types.
>>> The deficiency of some of these basic metrics was one reason to start work on extension reports (XR, and former HR).
>> Indeed. The reason I started the document with packet counts and packet 
>> loss from SR/RR was that I thought these would be uncontroversial and 
>> unambiguous; I'm seeking guidance from XR people on what other metrics 
>> are well known enough - and implemented widely enough - that it makes 
>> sense to include them.
>> 
>> (For reference, the WebRTC codebase seems to decode block type 7 and no 
>> other block type....)
>> 
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb